summaryrefslogtreecommitdiff
path: root/test/integration/run-tests
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/run-tests')
-rwxr-xr-xtest/integration/run-tests11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
index 7c0b74ce2..80f1fc61d 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -107,6 +107,17 @@ if [ -n "$APT_TEST_JOBS" ]; then
fi
exec $parallel -j "$APT_TEST_JOBS" "./$(basename "$0")" -- $(echo "$TESTLIST")
fi
+
+APT_TEST_SIGNINGHOME="$(mktemp --directory --tmpdir 'apt-key-signinghome.XXXXXXXXXX')"
+removesigninghome() {
+ if [ -z "$APT_TEST_SIGNINGHOME" ]; then return; fi
+ GNUPGHOME="${APT_TEST_SIGNINGHOME}" gpgconf --kill gpg-agent >/dev/null 2>&1 || true
+ rm -rf -- "$APT_TEST_SIGNINGHOME"
+}
+trap "exit 1" 0 HUP INT ILL ABRT FPE SEGV PIPE TERM
+trap "removesigninghome" 0 QUIT
+export APT_TEST_SIGNINGHOME
+
TOTAL="$(echo "$TESTLIST" | wc -l)"
if [ "$MSGLEVEL" -le 1 ]; then
printf "${CTEST}Running testcases${CRESET}: "